List notes for a contact
curl --request GET \
--url https://dev-public-api.openphone.dev/contacts/{contactId}/notes \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "6a145ff26212a192852c856f",
"text": "Please follow up with the customer.",
"media": [
{
"url": "https://example.com/i/f1726c08-8380-41d4-a583-dea176b2e695.png",
"type": "image/png",
"name": "an_image.png"
}
],
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Contact Notes
List notes for a contact
Get a paginated list of a contact’s notes.
GET
/
contacts
/
{contactId}
/
notes
List notes for a contact
curl --request GET \
--url https://dev-public-api.openphone.dev/contacts/{contactId}/notes \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "6a145ff26212a192852c856f",
"text": "Please follow up with the customer.",
"media": [
{
"url": "https://example.com/i/f1726c08-8380-41d4-a583-dea176b2e695.png",
"type": "image/png",
"name": "an_image.png"
}
],
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"actorId": "US123abc"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"trace": "6897907457496870895"
}{
"message": "User is unauthorized to perform this action",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "The contact was not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "An unknown error has occurred",
"docs": "https://quo.com/docs",
"title": "Unknown Error",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of the contact whose notes are being listed.
Pattern:
^(.*)$Example:
"6a145ff26212a192852c856e"
Query Parameters
Max number of items to return per page.
Required range:
1 <= x <= 50Example:
"eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
Was this page helpful?